/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucoresessionmanager
#define headerfilecmslucoresessionmanager

#include <set>
#include <ctime>

#include "sessioncontainer.h"



class SessionManager
{
	SessionContainer session_table;



	bool IsSession(long s);
	
	long CreateSessionId();
	void CreateTemporarySession();
	void CreateSession();

public:


	void SetSession();
	void DeleteOldSessions();
	
	SessionContainer::Iterator SessionBegin();
	SessionContainer::Iterator SessionEnd();
};


#endif
