/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucorecorethread
#define headerfilecmslucorecorethread

#include <string>



class Thread
{
public:

	long id;
	long dir_id;
	std::string subject;
	bool closed;

	
	
	void Clear()
	{
		id = dir_id = -1;
		closed = false;
		subject.clear();
	}

	Thread()
	{
		Clear();
	}

};

#endif
